image: docker:latest

stages:
  - build
  
before_script:
  - docker login -u "$DOCKERHUB_USERNAME" -p "$DOCKERHUB_PASSWORD" docker.io

build-release:
  stage: build
  services:
    - docker:dind
  script:
    - docker build --pull -t "ergoregion/cpp_build_tools:${CI_COMMIT_TAG}" .
    - docker push "ergoregion/cpp_build_tools:${CI_COMMIT_TAG}"
  only:
    - tags

build:
  stage: build
  services:
    - docker:dind
  script:
    - docker build --pull -t "ergoregion/cpp_build_tools:trial" .
    - docker push "ergoregion/cpp_build_tools:trial"
  except:
    - tags
